Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.rdf.model
Interface Property

All Superinterfaces:
  FrontsNode, RDFNode, Resource

All Known Subinterfaces:
  AnnotationProperty, DatatypeProperty, FunctionalProperty, InverseFunctionalProperty, ObjectProperty, OntProperty, SymmetricProperty, TransitiveProperty

    public interface Property

extends Resource

An RDF Property.

Version:
  Release='$Name: $' Revision='$Revision: 1.10 $' Date='$Date: 2008/01/02 12:05:46 $'
Author:
  bwm

Method Summary
`java.lang.String` | `getLocalName()` Returns the name of this property within its namespace.
`java.lang.String` | `getNameSpace()` Returns the namespace associated with this property.
`int` | `getOrdinal()` Returns the ordinal value of a containment property.
`boolean` | `isProperty()`

Methods inherited from interface com.hp.hpl.jena.rdf.model.Resource
`abort, addLiteral, addLiteral, addLiteral, addLiteral, addLiteral, addLiteral, addProperty, addProperty, addProperty, addProperty, begin, commit, equals, getId, getModel, getNode, getProperty, getRequiredProperty, getURI, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasProperty, hasProperty, hasProperty, hasProperty, hasURI, listProperties, listProperties, removeAll, removeProperties, toString`

Methods inherited from interface com.hp.hpl.jena.rdf.model.RDFNode
`as, canAs, inModel, isAnon, isLiteral, isResource, isURIResource, visitWith`

Methods inherited from interface com.hp.hpl.jena.graph.FrontsNode
`asNode`

Method Detail

### isProperty

    boolean isProperty()

### getNameSpace

    java.lang.String getNameSpace()

  Returns the namespace associated with this property.

  Specified by:
    `getNameSpace` in interface `Resource`
  Returns:
    The namespace for this property.

### getLocalName

    java.lang.String getLocalName()

  Returns the name of this property within its namespace.

  Specified by:
    `getLocalName` in interface `Resource`
  Returns:
    The name of this property within its namespace.

### getOrdinal

    int getOrdinal()

  Returns the ordinal value of a containment property.

  RDF containers use properties of the form _1, _2, _3 etc to represent the containment relationship between the container and the objects it contains. When invoked on such a containment property, this method returns the integer part of the property name. When invoked on other properties, it returns 0.

  Returns:
    The ordinal value of a containment property, or 0 otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP